## iwatch 0.2.2

=== debian/changelog ===
iwatch (0.2.2-9) unstable; urgency=medium

  * debian/copyright: split GPL license text into GPL-2 and GPL-2+.
  * debian/tests/control: set a CI test as superficial. (Closes: #969835)
  * debian/upstream/metadata: added Documentation field.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 17 Sep 2020 14:20:09 -0300

iwatch (0.2.2-8) unstable; urgency=medium

  * Using /run instead of /var/run. Consequently:
     - debian/init: updated.
     - debian/patches/20_use-slashrun.patch: created to make
       adjustments in main upstream file.
     - debian/services: updated
  * debian/control:
      - Added a Pre-Defends field because the package uses
        the --skip-systemd-native invoke-rc.d flag.
      - Bumped Standards-Version to 4.5.0.
      - Migrated DH level to 13.
  * debian/copyright: updated packaging copyright years.
  * debian/services: added hardening option PrivateTmp=yes.
  * debian/upstream/metadata: created.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 30 Apr 2020 16:04:20 -0300

iwatch (0.2.2-7) unstable; urgency=medium

  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 12.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Bumped Standards-Version to 4.4.1.
      - Using ${perl:Depends} variable instead of 'perl'.
  * debian/copyright: updated packaging copyright years.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 27 Oct 2019 14:31:39 -0300

iwatch (0.2.2-6) unstable; urgency=medium

  [ Joao Eriberto Mota Filho ]
  * Migrated DH level to 11.
  * debian/control:
      - Bumped Standards-Version to 4.2.1.
      - Changed from postfix to default-mta in Depends field.
      - Updated Vcs-Git field.
  * debian/copyright:
      - Added rights for Ondřej Nový.
      - Updated packaging copyright years.
  * debian/default: added a notice about systemd.
  * debian/service: added to provide a systemd service.
  * debian/tests/control: added to perform a trivial test.
  * debian/watch: removed unnecessary '?' at EOL.

  [ Ondřej Nový ]
  * debian/copyright: Use https protocol in Format field.
  * debian/changelog: Remove trailing whitespaces.
  * debian/control: Fix wrong Vcs-*
  * debian/watch: Use https protocol.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 04 Nov 2018 03:03:32 -0200

iwatch (0.2.2-5) unstable; urgency=medium

  * debian/control:
      - Bumped Standards-Version to 4.1.1.
      - Little fixes in long description.
  * debian/copyright: updated packaging copyright years.
  * debian/manpage/: updated the manpage and fixed some issues.
  * debian/watch: improved.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 11 Nov 2017 20:00:53 -0200

iwatch (0.2.2-4) unstable; urgency=medium

  * Bumped DH level to 10.
  * debian/control:
      - Added the  lsb-base to Depends field.
      - Bumped Standards-Version to 3.9.8.
      - Changed from perl-modules to perl in Depends field.
      - Improved the long description.
      - Removed the Build-Depends-Indep field because the iwatch is a
        Perl program and does not needs build against a library.
      - Updated the Vcs-* fields to use https instead of http and git.
  * debian/copyright:
      - Dropped dot-zero from GPL license short name.
      - Updated the packaging copyright years.
  * debian/gbp.conf: no longer used by me... Removed.
  * debian/man/:
      - Changed from genman.sh to create-man.sh.
      - Renamed to debian/manpage/.
  * debian/patches/iwatch.xml: renamed to 10_iwatch-xml.patch.
  * debian/README.Debian: added to explain about systemd procedures.
    See #801848 for details.
  * debian/rules: removed the --parallel option from dh.
  * debian/watch: bumped to version 4.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 23 Oct 2016 20:23:02 -0200

iwatch (0.2.2-3) unstable; urgency=medium

  * New maintainer. Thanks a lot to Michael Prokop, the initial maintainer,
    for your nice work over this package. (Closes: #728287)
  * Migrations:
      - debian format from 1.0 to 3.0.
      - debian/copyright to new format (1.0).
      - debian/rules: to new (reduced) format.
      - debhelper version from 5 to 9.
      - Standards-Version from 3.9.3 to 3.9.5.
  * debian/control:
      - Added sendxmpp and yowsup-cli to Suggests field.
      - Improved the long description.
      - Removed the useless variable ${shlibs:Depends} from Depends field.
      - Updated the Vcs-* fields.
  * debian/docs: removed. All relevant information was added to the new
    manpage.
  * debian/examples: added to make available an upstream file
    (iwatch.xml.example).
  * debian/gbp.conf: added to allow git-buildpackage usage.
  * debian/initscript:
      - Added a LSB Description field.
      - Fixed some issues.
      - Renamed to init.
      - Updated the reload and force-reload options.
  * debian/install: created to install some files.
  * debian/iwatch.default: renamed to default.
  * debian/iwatch.1: moved to debian/man/ and renamed to iwatch.1.old.
  * debian/iwatch.xml: removed because the original upstream file was fixed
    by patch.
  * debian/man/: created to gather the files of the new manpage.
  * debian/manpages: created to install the new manpage.
  * debian/NEWS: removed because this file is useless nowadays.
  * debian/patches/iwatch.xml: added to make iwatch.xml upstream file
    compliant with Debian.
  * debian/{pre,post}{inst,rm}: removed because the DH9 creates
    these files automatically when handling init scripts.
  * debian/watch: improved.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 14 Jun 2014 10:40:31 -0300

iwatch (0.2.2-2) unstable; urgency=low

  * [5678d80] Use CONFIG_FILE variable in initscript.
    Thanks to inne <inne@alice-dsl.net> for finding (Closes: #615057)

