=== debian/watch ===
version=4
https://sf.net/iwatch/iwatch-(\d\S+)\.(?:tgz|tar\.(?:bz2|gz|xz))
